<?php

  session_start();
  include('../../../php/conn_2.php');
  if(!isset($_SESSION["id"])){
    header('Location: index.php');
  }

  mysqli_query($enlace, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
  mysqli_query($enlacehost, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");

  // Asigna mes por defecto cuando venga vacío
  $filtro_mes = '';

  // Obtiene todos los parámetros por defecto
  if($_GET["mes"] == 'null'){
    // Nombre de tabla de resultados
    $query = "SELECT tabla_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_GET["cod_cliente"]." ORDER BY orden_encuesta LIMIT 1";

    if ($res = mysqli_query($enlace, $query)) {
      if (mysqli_num_rows($res) > 0) {
        while($row = mysqli_fetch_assoc($res)) {
          $nom_tabla = $row["tabla_encuesta"];
        }
      }
    }

    // Encuesta
    $query = "SELECT cod_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_GET["cod_cliente"]." ORDER BY orden_encuesta LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_encuesta = $row["cod_encuesta"];
      };
    }

  // Último año con datos
    $query = "SELECT YEAR(submitdate) AS Anho FROM ".$nom_tabla." WHERE submitdate IS NOT NULL GROUP BY YEAR(submitdate) ORDER BY 1 DESC LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_anho = $row["Anho"];
      };
    }

    // Último mes con datos
    $query = "SELECT cod_mes FROM ".$nom_tabla." WHERE submitdate IS NOT NULL AND cod_anho = ".$filtro_anho." GROUP BY cod_mes ORDER BY 1 DESC LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_mes = $row["cod_mes"];
      };
    }

  $filtro_filtros = '';
  }
  else{
    $nom_tabla = $_GET["tabla_resultados"];

    $filtro_encuesta = $_GET["cod_encuesta"];
    $filtro_anho = $_GET["anho"];
    $filtro_mes = $_GET["mes"];
    $filtro_filtros = $_GET["filtros"];
  }

  // Arma los filtros
  if(isset($filtro_filtros)){
    if(strlen($filtro_filtros) > 0){
      $filtros = " AND ".$filtro_filtros;

      $filtros = str_replace("$", " ", $filtros);
    }
  }

  // Obtiene los datos para exportar a Excel
    if(isset($_GET["export_data"])){
        $query = "SELECT `NombreEvaluador`, `Evaluador`, `Editor`, `Codificador`, `Digitador`,
                         `Cuestionario`, `Operador`, `Consulta_1`, `Consulta_2`, `Consulta_3`,
                         `FECHA`, `REGION`, `Tipo_establecimiento`, `Ciudad`, `MARCA_PDV`,
                         `NombrePDV`, `Nombre_PDV_f`, `DireccionPDV`,
                         `P2.1.1`, `P2.1.2`, `P2.2`, `P2.3`, `P3.1`,
                         `P3.3`, `P4.2`, `P5.1.1`, `P5.2`, `P5.3`,
                         `P6.1.1`, `P6.1.2`, `P6.2`, `P6.3.1`, `P6.3.2`,
                         `P6.4`, `P6.5`,`P6.6`, `P7.1`, `P7.2`,
                         `P7.3.1`, `P7.3.2`, `P7.3.3`, `P4.1_F`,
                         `Eval_PDV_vf`, `Prest_Personal_vf`, `Atenc_Cliente_vf`,
                         `Nivel_Conoc_vf`, `Detecc_Necesidad_vf`, `Promoc_Product_vf`,
                         `Intento_Cierre_vf`, `Infraestructura_vf`, `Personal_vf`,
                         `NOTA_PDV_vf`, `YREGION`, `cod_anho`, `cod_mes`
                    FROM tb_resultados_claro
                   WHERE cod_anho = ".$filtro_anho." ".
                    "AND cod_mes = ".$filtro_mes." ".$filtros;

        $resultado = mysqli_query($enlace, $query);

        $libros = array();
        while($rows = mysqli_fetch_assoc($resultado)) {
            $libros[] = $rows;
        }

        // Exportando a Excel
            if(!empty($libros)) {
                $filename = "resultados_encuestasgps.xls";
                header("Content-Type: application/vnd.ms-excel");
                header("Content-Disposition: attachment; filename=".$filename);

                $mostrar_columnas = false;

                foreach($libros as $libro) {
                if(!$mostrar_columnas) {
                echo implode("\t", array_keys($libro)) . "\n";
                $mostrar_columnas = true;
                }
                echo implode("\t", array_values($libro)) . "\n";
                }

            }
            else{
            echo 'No hay datos a exportar';
            }
            exit;
    }

?>

<!DOCTYPE html>
<html lang="es">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <!-- Meta, title, CSS, favicons, etc. -->
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="images/favicon.ico" type="image/ico" />

    <title>Sistema Encuestas | </title>

    <!-- Bootstrap -->
    <link href="../vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="../vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="../vendors/nprogress/nprogress.css" rel="stylesheet">
    <!-- iCheck -->
    <link href="../vendors/iCheck/skins/flat/green.css" rel="stylesheet">
  
    <!-- bootstrap-progressbar -->
    <link href="../vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css" rel="stylesheet">
    <!-- JQVMap -->
    <link href="../vendors/jqvmap/dist/jqvmap.min.css" rel="stylesheet"/>
    <!-- bootstrap-daterangepicker -->
    <link href="../vendors/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="../build/css/custom.min.css" rel="stylesheet">

    <style>
      /* Always set the map height explicitly to define the size of the div
       * element that contains the map. */
      #map {
        height: 100%;
        width: 100%;
      }
      /* Optional: Makes the sample page fill the window. */
      .map {
        height: 500px;
        margin: 0;
        padding: 0;
      }
    </style>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <div class="col-md-12 col-sm-12 col-xs-12">
          <div class="x_panel">
            <div class="x_title">
              <h2>
                Resumen de alertas enviadas
              </h2>
              <div class="clearfix">
              </div>
            </div>

            <div class="x_content">
              <!-- <form class="form-horizontal form-label-left input_mask">
                <div class="col-md-6 col-sm-6 col-xs-12 form-group">
                  <button type="submit" class="btn btn-success" name="export_data">
                    Exportar a Excel
                  </button>
                </div>
              </form> -->

              <div class="col-md-6 col-sm-6 col-xs-12">
              </div>
              <table id="lista_basedatos" class="table table-striped jambo_table bulk_action">
                <thead>
                  <tr Style="font-size: 12px">
                    <th><center>Fecha Envío</center></th>
                    <th><center>Indicador Evaluado</center></th>
                    <th><center>Meta Indicador</center></th>
                    <th><center>Resultado</center></th>
                    <th><center>Referencia 1</center></th>
                    <th><center>Referencia 2</center></th>
                  </tr>
                </thead>

                <tbody>
                  <?php
                    // Obtiene la base de datos
                      $query = "SELECT `NombreEvaluador`, `Evaluador`, `Editor`, `Codificador`, `Digitador`,
                                       `Cuestionario`, `Operador`, `Consulta_1`, `Consulta_2`, `Consulta_3`,
                                       `FECHA`, `REGION`, `Tipo_establecimiento`, `Ciudad`, `MARCA_PDV`,
                                       `NombrePDV`, `Nombre_PDV_f`, `DireccionPDV`,
                                       `P2.1.1`, `P2.1.2`, `P2.2`, `P2.3`, `P3.1`,
                                       `P3.3`, `P4.2`, `P5.1.1`, `P5.2`, `P5.3`,
                                       `P6.1.1`, `P6.1.2`, `P6.2`, `P6.3.1`, `P6.3.2`,
                                       `P6.4`, `P6.5`,`P6.6`, `P7.1`, `P7.2`,
                                       `P7.3.1`, `P7.3.2`, `P7.3.3`, `P4.1_F`,
                                       `Eval_PDV_vf`, `Prest_Personal_vf`, `Atenc_Cliente_vf`,
                                       `Nivel_Conoc_vf`, `Detecc_Necesidad_vf`, `Promoc_Product_vf`,
                                       `Intento_Cierre_vf`, `Infraestructura_vf`, `Personal_vf`,
                                       `NOTA_PDV_vf`, `YREGION`, `cod_anho`, `cod_mes`
                                  FROM tb_resultados_claro
                                 WHERE cod_anho = ".$filtro_anho." ".
                                  "AND cod_mes = ".$filtro_mes." ".$filtros;

                      if ($res2 = mysqli_query($enlace, $query)) {
                        if (mysqli_num_rows($res2) > 0) {
                          while($row2 = mysqli_fetch_assoc($res2)) {
                            echo '<tr Style="font-size: 12px">';

                            echo '  <td>'.$row2["NombreEvaluador"].'</center></td>';
                            echo '  <td>'.$row2["Evaluador"].'</center></td>';
                            echo '  <td>'.$row2["Editor"].'</center></td>';
                            echo '  <td>'.$row2["Codificador"].'</center></td>';
                            echo '  <td>'.$row2["Digitador"].'</center></td>';
                            echo '  <td>'.$row2["Cuestionario"].'</center></td>';
                            echo '  <td>'.$row2["Operador"].'</center></td>';
                            echo '  <td>'.$row2["Consulta_1"].'</center></td>';
                            echo '  <td>'.$row2["Consulta_2"].'</center></td>';
                            echo '  <td>'.$row2["Consulta_3"].'</center></td>';
                            echo '  <td>'.$row2["FECHA"].'</center></td>';
                            echo '  <td>'.$row2["REGION"].'</center></td>';
                            echo '  <td>'.$row2["Tipo_establecimiento"].'</center></td>';
                            echo '  <td>'.$row2["Ciudad"].'</center></td>';
                            echo '  <td>'.$row2["MARCA_PDV"].'</center></td>';
                            echo '  <td>'.$row2["NombrePDV"].'</center></td>';
                            echo '  <td>'.$row2["Nombre_PDV_f"].'</center></td>';
                            echo '  <td>'.$row2["DireccionPDV"].'</center></td>';
                            echo '  <td>'.$row2["P2.1.1"].'</center></td>';
                            echo '  <td>'.$row2["P2.1.2"].'</center></td>';
                            echo '  <td>'.$row2["P2.2"].'</center></td>';
                            echo '  <td>'.$row2["P2.3"].'</center></td>';
                            echo '  <td>'.$row2["P3.1"].'</center></td>';
                            echo '  <td>'.$row2["P3.3"].'</center></td>';
                            echo '  <td>'.$row2["P4.2"].'</center></td>';
                            echo '  <td>'.$row2["P5.1.1"].'</center></td>';
                            echo '  <td>'.$row2["P5.2"].'</center></td>';
                            echo '  <td>'.$row2["P5.3"].'</center></td>';
                            echo '  <td>'.$row2["P6.1.1"].'</center></td>';
                            echo '  <td>'.$row2["P6.1.2"].'</center></td>';
                            echo '  <td>'.$row2["P6.2"].'</center></td>';
                            echo '  <td>'.$row2["P6.3.1"].'</center></td>';
                            echo '  <td>'.$row2["P6.3.2"].'</center></td>';
                            echo '  <td>'.$row2["P6.4"].'</center></td>';
                            echo '  <td>'.$row2["P6.5"].'</center></td>';
                            echo '  <td>'.$row2["P6.6"].'</center></td>';
                            echo '  <td>'.$row2["P7.1"].'</center></td>';
                            echo '  <td>'.$row2["P7.2"].'</center></td>';
                            echo '  <td>'.$row2["P7.3.1"].'</center></td>';
                            echo '  <td>'.$row2["P7.3.2"].'</center></td>';
                            echo '  <td>'.$row2["P7.3.3"].'</center></td>';
                            echo '  <td>'.$row2["P4.1_F"].'</center></td>';
                            echo '  <td>'.$row2["Eval_PDV_vf"].'</center></td>';
                            echo '  <td>'.$row2["Prest_Personal_vf"].'</center></td>';
                            echo '  <td>'.$row2["Atenc_Cliente_vf"].'</center></td>';
                            echo '  <td>'.$row2["Nivel_Conoc_vf"].'</center></td>';
                            echo '  <td>'.$row2["Detecc_Necesidad_vf"].'</center></td>';
                            echo '  <td>'.$row2["Promoc_Product_vf"].'</center></td>';
                            echo '  <td>'.$row2["Intento_Cierre_vf"].'</center></td>';
                            echo '  <td>'.$row2["Infraestructura_vf"].'</center></td>';
                            echo '  <td>'.$row2["Personal_vf"].'</center></td>';
                            echo '  <td>'.$row2["NOTA_PDV_vf"].'</center></td>';
                            echo '  <td>'.$row2["YREGION"].'</center></td>';
                            echo '  <td>'.$row2["cod_anho"].'</center></td>';
                            echo '  <td>'.$row2["cod_mes"].'</center></td>';

                            echo '</tr>';
                          }
                        }
                      }
                  ?>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>

<?php
cerrarSesion($enlace);
?>
